ChangeSet 1.1215, 2003/06/18 16:34:23-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: add defensive memory barriers

Defend against future maintainers.


 drivers/usb/speedtouch.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/speedtouch.c b/drivers/usb/speedtouch.c
--- a/drivers/usb/speedtouch.c	Wed Jun 18 17:36:12 2003
+++ b/drivers/usb/speedtouch.c	Wed Jun 18 17:36:12 2003
@@ -1225,6 +1225,7 @@
 
 finish:
 	/* ready for ATM callbacks */
+	wmb ();
 	instance->atm_dev->dev_data = instance;
 
 	return instance;
@@ -1359,6 +1360,7 @@
 	for (i = 0; i < UDSL_NUM_SND_BUFS; i++)
 		kfree (instance->send_buffers [i].base);
 
+	wmb ();
 	instance->usb_dev = NULL;
 
 	/* ATM finalize */
